Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Mar 2021 20:05:45 +0300

> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 30 Mar 2021 18:52:24 +0200
> 
>  > The above code runs every iteration through the main loop, so fixing
>  > it there will go along way towards avoiding the havoc.  Or are you
>  > saying it could cause harm in some situation?
> 
> No.  If worse comes to worst, it should improve the situation.  But we
> then are sweeping the real problem under the carpet.

IME, there's any number of "real problems" out there, and the hope to
find them all is ... too optimistic.  There's nothing wrong with being
defensive against unknown factors.